# log4cplus::helpers::string_append_iterator< _Container > Class Template Reference

This iterator can be used in place of the back_insert_iterator for compilers that don't have a std::basic_string class that has the `push_back` method. More...

`#include <stringhelper.h>`

List of all members.

## Public Types

typedef _Container | container_type
typedef void | value_type
typedef void | difference_type
typedef void | pointer
typedef void | reference

## Public Member Functions

| string_append_iterator (_Container &__x)
string_append_iterator< _Container > & | operator= (const typename _Container::value_type &__value)
string_append_iterator< _Container > & | operator * ()
string_append_iterator< _Container > & | operator++ ()
string_append_iterator< _Container > & | operator++ (int)

## Protected Attributes

_Container * | container

## Detailed Description

### template<class _Container>
class log4cplus::helpers::string_append_iterator< _Container >

This iterator can be used in place of the back_insert_iterator for compilers that don't have a std::basic_string class that has the `push_back` method.

Definition at line 113 of file stringhelper.h.

## Member Typedef Documentation

template<class _Container>
typedef _Container log4cplus::helpers::string_append_iterator< _Container >::container_type

| Definition at line 117 of file stringhelper.h.

template<class _Container>
typedef void log4cplus::helpers::string_append_iterator< _Container >::difference_type

| Definition at line 119 of file stringhelper.h.

template<class _Container>
typedef void log4cplus::helpers::string_append_iterator< _Container >::pointer

| Definition at line 120 of file stringhelper.h.

template<class _Container>
typedef void log4cplus::helpers::string_append_iterator< _Container >::reference

| Definition at line 121 of file stringhelper.h.

template<class _Container>
typedef void log4cplus::helpers::string_append_iterator< _Container >::value_type

| Definition at line 118 of file stringhelper.h.

## Constructor & Destructor Documentation

template<class _Container>
log4cplus::helpers::string_append_iterator< _Container >::string_append_iterator | ( | _Container & | __x | ) | `[inline, explicit]`

| Definition at line 123 of file stringhelper.h. References log4cplus::helpers::string_append_iterator< _Container >::container.

## Member Function Documentation

template<class _Container>
string_append_iterator<_Container>& log4cplus::helpers::string_append_iterator< _Container >::operator * | ( |  | ) | `[inline]`

| Definition at line 129 of file stringhelper.h.

template<class _Container>
string_append_iterator<_Container>& log4cplus::helpers::string_append_iterator< _Container >::operator++ | ( | int |  | ) | `[inline]`

| Definition at line 131 of file stringhelper.h.

template<class _Container>
string_append_iterator<_Container>& log4cplus::helpers::string_append_iterator< _Container >::operator++ | ( |  | ) | `[inline]`

| Definition at line 130 of file stringhelper.h.

template<class _Container>
string_append_iterator<_Container>& log4cplus::helpers::string_append_iterator< _Container >::operator= | ( | const typename _Container::value_type & | __value | ) | `[inline]`

| Definition at line 125 of file stringhelper.h. References log4cplus::helpers::string_append_iterator< _Container >::container.

## Member Data Documentation

template<class _Container>
_Container* log4cplus::helpers::string_append_iterator< _Container >::container`[protected]`

| Definition at line 115 of file stringhelper.h. Referenced by log4cplus::helpers::string_append_iterator< _Container >::operator=(), and log4cplus::helpers::string_append_iterator< _Container >::string_append_iterator().

The documentation for this class was generated from the following file:

- stringhelper.h